org.restlet.resource

## Interface ClientProxy

    public interface ClientProxy

Marker interface for RESTful resource proxies. This allows you to retrieve and manipulate the underlying `ClientResource` of a dynamic client proxy generated by the `ClientResource.create(String, Class)` method for example, or by `ClientResource.getChild(String, Class)`.

Author:
  Jerome Louvel

### Method Summary

Methods
`ClientResource` `getClientResource()` Returns the wrapped client resource.

### Method Detail

#### getClientResource

    ClientResource getClientResource()

Returns the wrapped client resource.

Returns:
  The wrapped client resource.